Export Multiple Submissions
Use the following request to asynchronously export the latest versions of multiple Submissions across multiple Applications in a single call.
You can export submissions with the following Dossier Status values:
- Import Successful
- Publishing Active
- Publishing Inactive
- Transmission Failed
- Transmission Successful
- Transmission in Queue
- Transmission in Progress
Before submitting this request, the authenticated user must belong to a permission set that grants the Application: File Staging: Access permission.
POST
/api/{version}/app/regulatory/submissions_archive/actions/bulk_exportHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or text/csv |
Content-Type | application/json (default) or text/csv |
Body Parameters
Section link for Body ParametersPrepare a JSON or CSV input file with the following body parameters:
| Name | Description |
|---|---|
applicationsrequired | Contains all parent Application ID values. |
applications[].application__vrequired | The system-managed ID value for an Application in Veeva RIM. For example, 00A000000002001. |
applications[].submissionsoptional | Contains an array of specific Submission ID values within a given Application. If an empty array is provided, the system exports the entire Application. |
applications[].submissions[].submission__voptional | The system-managed ID value for a Submission. For example, 00S00000000R003. If omitted, the entire Application is exported. |
exclude_app_correspondenceoptional | Set to true to omit Application-level correspondence. If omitted, the default value is false. |
exclude_sub_correspondenceoptional | Set to true to omit Submission-level correspondence. If omitted, the default value is false. |
Request
Section link for Requestcurl -X POST -H "Authorization: {AUTH_VALUE}" \
-H "Content-Type: text/csv" \
--data-binary '@/path/to/bulk-export-submissions.csv' \
https://myvault.veevavault.com/api/v26.2/app/regulatory/submissions_archive/actions/bulk_exportResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Export from Submissions Archive initiated. You will receive a Vault notification when the export is complete.",
"data": {
"job_id": "418101",
"url": "https://myvault.veevavault.com/api/v26.2/app/regulatory/submissions_archive/export_job/418101"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
job_id- The unique ID assigned to the asynchronous export job in Vault. Use this to track the progress.url- The specific API endpoint URL used to query the status and retrieve the results of the running job.
Vault writes the exported submissions to file staging as an uncompressed directory structure. Once the job completes, use Retrieve Submission Export Results to retrieve the job folder path in file_path.